<?php
/**
 * Zend Framework (http://framework.zend.com/)
 *
 * @link      http://github.com/zendframework/ZendSkeletonApplication for the canonical source repository
 * @copyright Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
 * @license   http://framework.zend.com/license/new-bsd New BSD License
 */

namespace Admin\Controller;

use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;
use Zend\Session\Container;
use Admin\Controller\DatabaseConfig;

class BannerController extends AbstractActionController{
	
	public $con = '';
	private $data = array();
	
	public function __construct(){
		//error_reporting(E_ALL);
		 //$this->con=mysqli_connect("10.0.0.35","root","root","hello42_new");
            $db = new DatabaseConfig();
            $this->con = $db->getDatabaseConfig();
	}
	
	public function indexAction(){
		$c=1;
		$sql = "SELECT * FROM banner";
		$qry = mysqli_query($this->con,$sql);
		while($row = mysqli_fetch_assoc($qry)){
			$days = '';
			if($row['banner_weekdays']){
				$days = '<ul>';
				foreach(explode(',',$row['banner_weekdays']) as $val){
					$days .= "<li>$val</li>";
				}
				$days .= "</ul>";
			}
			$this->data [] = array(
                        $c++,
                        '<img src="'.$row['banner_image'].'" width="100" height="100">',
                        $row['banner_title'], 
                        $this->getBannerCategoryArray($row['banner_cat']), 
                        date('d M Y',strtotime($row['banner_valid_date_from'])), 
                        date('d M Y',strtotime($row['banner_valid_date_to'])), 
                        $days, 
                        date('d M Y',strtotime($row['created_date'])), 
                        date('d M Y',strtotime($row['modified_date'])),                      
                        $this->getStatusArray($row['status']), 
                        '<a href="banner/edit?id='.$row['banner_id'].'">Edit</a> | <a href="banner/delete?id='.$row['banner_id'].'" onclick="return confirm('."'Are you sure want to delete this record'".');" >Delete</a>');
		}
		$this->data = json_encode(array('data'=>$this->data));
		return new viewModel(array('data'=>$this->data));
	}
	
	public function addAction(){
		return new viewModel();
	}
	
	public function saveAction(){
		$fields = '';
		$values = '';                
                $name = $_FILES['banner_image']['name'];
                $tmpName = $_FILES['banner_image']['tmp_name'];
                $name = time() . $name;
                $targetPath = PUBLIC_PATH . "/images/banner/" . $name;
                $uploaded = move_uploaded_file($tmpName, $targetPath);
		$data = array(
			'banner_title'=>$_POST['banner_title'],
			'banner_desc'=>$_POST['banner_desc'],
                        'banner_valid_date_from'=>date('Y-m-d',strtotime($_POST['banner_valid_date_from'])),
			'banner_valid_date_to'=>date('Y-m-d',strtotime($_POST['banner_valid_date_to'])),
                        'banner_weekdays'=>implode(',', $_POST['banner_weekdays']),
			'banner_cat'=>$_POST['banner_cat'],
			'banner_image'=>'/images/banner/'.$name,
			'created_date'=>date('Y-m-d H:i:s'),
                        'status'=>$_POST['status']
		);
		foreach($data as $key=>$val){
			$fields .= "`$key`,";
			$values .= "'$val',";
		}
		$fields = substr($fields,0,-1);
		$values = substr($values,0,-1);
		$sql = "INSERT INTO banner ($fields) VALUES ($values)";
		$qry = mysqli_query($this->con,$sql);
		header('location: /admin/banner');
		exit();
	}
	
	public function editAction(){
				
		$sql = "SELECT * FROM banner WHERE banner_id = '".$_REQUEST['id']."'";
		$qry = mysqli_query($this->con, $sql);
		$Rec = mysqli_fetch_object($qry);		
		$this->data = array(
			'Rec'=>$Rec
		);				
		return new viewModel(array('data'=>$this->data));
	}
	
	public function updateAction(){
		$recs = '';
                
                $image = $_FILES['banner_image']['name'];
                $banner_image_hidden=$_POST['banner_image_hidden'];
                if($image!=""){
                    //echo "Mohit"; die;
                    unlink(BASE_PATH.'/'.$banner_image_hidden);
                    $name = $_FILES['banner_image']['name'];
                    $tmpName = $_FILES['banner_image']['tmp_name'];
                    $name = time() . $name;
                    $targetPath = PUBLIC_PATH . "/images/banner/" . $name;
                    $uploaded = move_uploaded_file($tmpName, $targetPath);
                    $image_name=  '/images/banner/'.$name;                    
                }else{
                    $image_name=  $banner_image_hidden;                    
                }
		$data = array(
                    'banner_title'=>$_POST['banner_title'],
                    'banner_desc'=>$_POST['banner_desc'],
                    'banner_cat'=>$_POST['banner_cat'],
                    'banner_valid_date_from'=>date('Y-m-d',strtotime($_POST['banner_valid_date_from'])),
                    'banner_valid_date_to'=>date('Y-m-d',strtotime($_POST['banner_valid_date_to'])),
                    'banner_weekdays'=>implode(',', $_POST['banner_weekdays']),
                    'banner_image'=>$image_name,
                    'status'=>$_POST['status']
		);
		foreach($data as $key=>$val){
                    $recs .= "`$key`='$val',";
		}
		$recs = substr($recs,0,-1);
		$sql = "UPDATE banner SET $recs WHERE banner_id = '".$_REQUEST['id']."'";
		$qry = mysqli_query($this->con,$sql);
		header('location: /admin/banner');
		exit();
	}
	
	public function deleteAction(){            
                $sql_sel = "SELECT * FROM banner WHERE banner_id = '".$_REQUEST['id']."'";
		$qry_sel = mysqli_query($this->con, $sql_sel);
		$Rec = mysqli_fetch_object($qry_sel);
                unlink(BASE_PATH.'/'.$Rec->banner_image);
		$sql = "DELETE FROM banner WHERE banner_id = '".$_REQUEST['id']."'";
		$qry = mysqli_query($this->con, $sql);
		header('location: /admin/banner');
		exit();
	}
        
        public function getStatusArray($val = null, $flag = false) {
                $statusArray = array('1' => 'Active', '0' => 'In-Active');
                if($flag){
                $statusArray = array('1' => 'Active', '0' => 'In-Active', '2'=>'Deleted');
                }
                if ($val !== null) {
                if (isset($statusArray[$val])) {
                return $statusArray[$val];
                } else {
                return;
                }
                } else {
                return $statusArray;
                }
        }
        
        public function getBannerCategoryArray($val = null, $flag = false) {
                $statusArray = array('1' => 'Website', '2' => 'Client App');
                if($flag){
                $statusArray = array('1' => 'Website', '2' => 'Client App');
                }
                if ($val !== null) {
                if (isset($statusArray[$val])) {
                return $statusArray[$val];
                } else {
                return;
                }
                } else {
                return $statusArray;
                }
        }
        
}
