<?php

namespace Tunneling\Model;

use Zend\Mvc\Controller\AbstractActionController;
use Zend\Http\Client as HttpClient;
use Zend\Http\Request;
use Zend\Stdlib\Parameters;

/**
 * Description of RestAPIClientController
 *
 * @author hello42
 */
class RestAPIClientController extends AbstractActionController {

    public $apiUrl = '';

    public $url = 'http://10.0.0.31:3000/api/v1';

    public function apiUrl() {
        return $this->url;
    }

    public function get($url) {
        return $this->dispatchRequestAndDecodeResponse($url, "GET");
    }

    public function post($url, $data) {
        return $this->dispatchRequestAndDecodeResponse($url, "POST", $data);
    }

    public function put($url, $data) {
        return $this->dispatchRequestAndDecodeResponse($url, "PUT", $data);
    }

    public function delete($url) {
        return $this->dispatchRequestAndDecodeResponse($url, "DELETE");
    }

    protected function dispatchRequestAndDecodeResponse($url, $method, $data = null) {
        $request = new Request();
        $request->getHeaders()->addHeaders(array(
            'Content-Type' => 'application/x-www-form-urlencoded; charset=UTF-8'
        ));
        $request->setUri($url);
        $request->setMethod($method);
        if ($data) {
            $request->setPost(new Parameters($data));
        }
        $httpClient = new HttpClient();
        $response = $httpClient->dispatch($request);
        //echo "<pre>";print_r($response->getStatusCode());
        //echo "<pre>";print_r($response->getContent()); exit;
        # should interogate response status, throwing appropiate exceptions for error codes
        //return json_decode($response->getBody(), true);
        return $response;
    }

}
